Subject: Re: phantom non-existent command "manpath"?
From: Soren A <[email-masked]>
To: [email-masked]
Date: Tue, 1 Jul 2003 22:02:07 +0000 (UTC)

Soren A <[email-masked]> wrote around 01
Jul 2003 news:[email-masked]: 

> I've a question on the cygwin port of `man' and it may turn out that
> it is pertaining to `man' in general everywhere.

I'm sorry, my bad.

I read more carefully after finding a reference explaining `manpath's 
intended functionality elsewhere, and realized that `man' itself DOES have 
flags to execute the functionality simulated by `manpath':

     -w or --path
        Don't actually display the man pages, but  do  print  the  loca-
        tion(s) of the files that would be formatted or displayed. If no
        argument is given: display (on stdout) the list  of  directories
        that  is  searched by man for man pages. If manpath is a link to
        man, then "manpath" is equivalent to "man --path".
   
     -W
        Like -w, but print file names one per line,  without  additional
        information.   This is useful in shell commands like
            man -aW man | xargs ls -l

Answered my own question.

   Bye!
  Soren A.

-- 
"So, tell me, my little one-eyed one, on what poor, pitiful,
defenseless planet has my MONSTROSITY been unleashed?"
                       - Dr. Jumba, Disney's "Lilo & Stitch"
OpenPGP Key at http://savannah.gnu.org/people/viewgpg.php?user_id=6050

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/